Subject: Re: bug#26130: 25.1; Menus off screen

From: martin rudalics <[email-masked]>
Date: Fri, 17 Mar 2017 08:19:49 +0100

> Emacs is running in a Fedora 25 virtual machine in VirtualBox. This
 > happens on three different computers, two Window 10, one Windows 7. The
 > X-Server is cygwin X org, completely up-to-date, in "Hide Root Window"
 > mode. Earlier emacs in a different VM works fine in this setup, e.g. emacs 24 in
 > Centos 7 VM. Both VM's have virtualbox guest additions installed.
 >
 > The problem is that all menus and pop ups are never visible. Pop ups
 > show a narrow line at the top left of the screen, so I'm assuming that
 > all of them may be off screen. There are a lot of gtk errors in the
 > console:
 >
 >
 > (emacs:2584): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

Is this by chance a retina display with GDK's scale factor > 1?

martin